<div id="dashboard" class="">
  <div
    id="hideBottomInput"
    class="flex flex-wrap justify-between items-center mb-4"
  >
    <div class="mb-2 lg:mb-0">
      <h1 class="!text-lg !font-semibold">Revenue report</h1>
    </div>
    <div class="flex flex-wrap gap-2 items-center justify-end">
      <button
        class="rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center disabled:bg-gray-200 !max-w-[100px] w-full"
        :class="timeActive === 'Today' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
        @click="onFilterByTime('Today')"
        :disabled="disabledButtonDate == true"
      >
        Today
      </button>
      <button
        class="rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center disabled:bg-gray-200 !max-w-[100px] w-full"
        :class="timeActive === 'Yesterday' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
        @click="onFilterByTime('Yesterday')"
        :disabled="disabledButtonDate == true"
      >
        Yesterday
      </button>
      <button
        class="rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center disabled:bg-gray-200 !max-w-[100px] w-full"
        :class="timeActive === 'This week' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
        @click="onFilterByTime('This week')"
        :disabled="disabledButtonDate == true"
      >
        This week
      </button>
      <button
        class="rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center disabled:bg-gray-200 !max-w-[100px] w-full"
        :class="timeActive === 'Last week' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
        @click="onFilterByTime('Last week')"
        :disabled="disabledButtonDate == true"
      >
        Last week
      </button>
      <button
        class="rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center disabled:bg-gray-200 !max-w-[100px] w-full"
        :class="timeActive === 'This month' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
        @click="onFilterByTime('This month')"
        :disabled="disabledButtonDate == true"
      >
        This month
      </button>
      <button
        class="rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center disabled:bg-gray-200 !max-w-[100px] w-full"
        :class="timeActive === 'Last month' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
        @click="onFilterByTime('Last month')"
        :disabled="disabledButtonDate == true"
      >
        Last month
      </button>
      <button
        class="rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center disabled:bg-gray-200 !max-w-[100px] w-full"
        :class="timeActive === 'This year' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
        @click="onFilterByTime('This year')"
        :disabled="disabledButtonDate == true"
      >
        This year
      </button>
      <div class="!max-w-[250px] w-full">
        <v-menu
          v-model="dateRangePicker"
          :nudge-left="80"
          nudge-bottom="10px"
          style="position: relative; z-index: 999"
          :close-on-content-click="false"
          transition="scale-transition"
          offset-y
          min-width="auto"
        >
          <template v-slot:activator="{ on, attrs }">
            <v-text-field
              v-model="dateRangeText"
              dense
              readonly
              v-bind="attrs"
              v-on="on"
              class="bg-white border border-1 px-4 py-1 min-w-[250px] mt-0"
              prepend-inner-icon="mdi-calendar-blank"
            >
            </v-text-field>
          </template>
          <v-date-picker
            v-model="dateArr"
            style="position: relative; z-index: 999"
            range
          >
            <v-spacer></v-spacer>
            <v-btn text color="primary" @click="dateRangePicker = false">
              Cancel
            </v-btn>
            <v-btn text color="primary" @click="onSearchByDate()"> OK </v-btn>
          </v-date-picker>
        </v-menu>
      </div>
      <div class="d-flex align-center">
        <v-btn
          height="34px"
          color="#ffffff"
          id="buttonHover"
          @click="onRefresh()"
          class="elevation-0"
        >
          <div>
            <v-icon> mdi-reload </v-icon>
          </div>
        </v-btn>
      </div>
    </div>
  </div>
  <div class="my-4">
    <div
      class="grid grid-cols-1 lg:grid-cols-3 sm:grid-cols-2 xl:grid-cols-5 gap-4"
    >
      <div class="bg-white rounded-md border border-1 border-gray-200 p-4">
        <div class="flex gap-3 items-center mb-5">
          <div
            class="w-10 h-10 rounded d-flex items-center justify-center bg-emerald-50"
          >
            <v-icon class="!text-emerald-500"> mdi-cube-outline </v-icon>
          </div>
          <p class="!text-base !font-semibold mb-0">Revenue</p>
        </div>
        <div style="width: 81px; height: 32px" v-if="loadingStats">
          <v-skeleton-loader width="100%" height="100%" type="card">
          </v-skeleton-loader>
        </div>
        <p v-else class="!text-2xl font-bold">
          ${{stats.revenue && $utils.formatCurrencyFloat(stats.revenue)}}
        </p>
      </div>
      <div class="bg-white rounded-md border border-1 border-gray-200 p-4">
        <div class="flex gap-3 items-center mb-5">
          <div
            class="w-10 h-10 rounded d-flex items-center justify-center bg-orange-50"
          >
            <v-icon class="!text-orange-500"> mdi-shopping-outline </v-icon>
          </div>
          <p class="!text-base !font-semibold mb-0">PO</p>
        </div>
        <div style="width: 81px; height: 32px" v-if="loadingStats">
          <v-skeleton-loader width="100%" height="100%" type="card">
          </v-skeleton-loader>
        </div>
        <p v-else class="!text-2xl font-bold">
          {{stats.orders && $utils.formatCurrencyFloat(stats.orders)}}
        </p>
      </div>
      <div class="bg-white rounded-md border border-1 border-gray-200 p-4">
        <div class="flex gap-3 items-center mb-5">
          <div
            class="w-10 h-10 rounded d-flex items-center justify-center bg-orange-50"
          >
            <v-icon class="!text-orange-500"> mdi-shopping-outline </v-icon>
          </div>
          <p class="!text-base !font-semibold mb-0">Cost</p>
        </div>
        <div style="width: 81px; height: 32px" v-if="loadingStats">
          <v-skeleton-loader width="100%" height="100%" type="card">
          </v-skeleton-loader>
        </div>
        <p v-else class="!text-2xl font-bold">
          ${{stats.productCost &&
          $utils.formatCurrencyFloat(stats.productCost)}}
        </p>
      </div>
      <div class="bg-white rounded-md border border-1 border-gray-200 p-4">
        <div class="flex gap-3 items-center mb-5">
          <div
            class="w-10 h-10 rounded d-flex items-center justify-center bg-blue-50"
          >
            <v-icon class="!text-blue-500">
              mdi-account-multiple-outline
            </v-icon>
          </div>
          <p class="!text-base !font-semibold mb-0">AOV</p>
        </div>
        <div style="width: 81px; height: 32px" v-if="loadingStats">
          <v-skeleton-loader width="100%" height="100%" type="card">
          </v-skeleton-loader>
        </div>
        <p v-else class="!text-2xl font-bold">${{stats.aov}}</p>
      </div>
      <div class="bg-white rounded-md border border-1 border-gray-200 p-4">
        <div class="flex gap-3 items-center mb-5">
          <div
            class="w-10 h-10 rounded d-flex items-center justify-center bg-purple-50"
          >
            <v-icon class="!text-indigo-500"> mdi-cart-outline </v-icon>
          </div>
          <p class="!text-base !font-semibold mb-0">CR</p>
        </div>
        <div style="width: 81px; height: 32px" v-if="loadingStats">
          <v-skeleton-loader width="100%" height="100%" type="card">
          </v-skeleton-loader>
        </div>
        <p v-else class="!text-2xl font-bold">{{stats.conversionRate}}%</p>
      </div>
    </div>
  </div>
  <!-- <div
    class="grid grid-cols-1 lg:grid-cols-3 sm:grid-cols-2 xl:grid-cols-5 gap-4"
  >
    <div
      class="rounded-lg bg-white px-4 py-5 border border-gray-border-common"
      v-for="(itemStats, i) in byTime"
      :key="'itemStats' + i"
    >
      <div class="d-flex gap-3 items-center mb-5">
        <span
          class="w-10 h-10 rounded d-flex items-center justify-center"
          :class="backgroundStats(itemStats.type)"
        >
          <v-icon class="!text-emerald-500" v-if="itemStats.type === 'revenue'">
            mdi-cube-outline
          </v-icon>
          <v-icon
            class="!text-orange-500"
            v-if="itemStats.type === 'orders' || itemStats.type === 'productCost'"
          >
            mdi-shopping-outline
          </v-icon>
          <v-icon class="!text-blue-500" v-if="itemStats.type === 'aov'">
            mdi-account-multiple-outline
          </v-icon>
          <v-icon
            class="!text-indigo-500"
            v-if="itemStats.type === 'conversionRate'"
          >
            mdi-cart-outline
          </v-icon>
        </span>
        <div>
          <p class="!text-base !font-semibold mb-0">{{itemStats.text}}</p>
        </div>
      </div>
      <div style="width: 81px; height: 32px" v-if="statsLoading">
        <v-skeleton-loader width="100%" height="100%" type="card">
        </v-skeleton-loader>
      </div>
      <div class="d-flex justify-between" v-else>
        <p class="mb-0">
          <span
            class="!text-2xl font-bold"
            v-if="itemStats.type === 'revenue' || itemStats.type === 'productCost' || itemStats.type === 'aov' "
            >$</span
          >
          <span class="!text-2xl font-bold">{{itemStats.value}}</span>
          <span
            class="!text-2xl font-bold"
            v-if="itemStats.type === 'conversionRate'"
            >%</span
          >
        </p>
      </div>
    </div>
  </div> -->
  <div class="">
    <v-tabs
      v-model="tab"
      background-color="transparent"
      color="basil"
      class="mt-3"
    >
      <v-tab class="text-none"> Date </v-tab>
      <v-tab class="text-none"> Domains </v-tab>
      <v-tab class="text-none"> Products </v-tab>
      <v-tab class="text-none"> Hour </v-tab>
      <v-tab class="text-none"> Month </v-tab>
    </v-tabs>
    <v-divider></v-divider>
    <v-tabs-items v-model="tab" class="!bg-transparent">
      <v-tab-item>
        <v-skeleton-loader
          v-if="loadingTable"
          class="mx-auto mt-4"
          width="100%"
          type="card"
        >
        </v-skeleton-loader>
        <div v-else>
          <Date :list.sync="list" :tab="tab" />
        </div>
      </v-tab-item>
      <v-tab-item>
        <v-skeleton-loader
          v-if="loadingTable"
          class="mx-auto mt-4"
          width="100%"
          type="card"
        >
        </v-skeleton-loader>
        <div v-else>
          <Stores
            :stores.sync="stores"
            :page.sync="page"
            :totalPage.sync="totalPage"
            :tab="tab"
          />
        </div>
      </v-tab-item>
      <v-tab-item>
        <v-skeleton-loader
          v-if="loadingTable"
          class="mx-auto mt-4"
          width="100%"
          type="card"
        >
        </v-skeleton-loader>
        <div v-else>
          <Products :tab="tab" />
        </div>
      </v-tab-item>
      <v-tab-item>
        <v-skeleton-loader
          v-if="loadingTable"
          class="mx-auto mt-4"
          width="100%"
          type="card"
        >
        </v-skeleton-loader>
        <div v-else>
          <Hour :tab="tab" />
        </div>
      </v-tab-item>
      <v-tab-item>
        <v-skeleton-loader
          v-if="loadingTable"
          class="mx-auto mt-4"
          width="100%"
          type="card"
        >
        </v-skeleton-loader>
        <div v-else>
          <Month :tab="tab" />
        </div>
      </v-tab-item>
    </v-tabs-items>
  </div>
</div>
